Package org.eclipse.ecf.filetransfer

## Interface IIncomingFileTransferRequestListener

    public interface IIncomingFileTransferRequestListener

Listener for incoming file transfer requests. Instances implementing this interface are registered via the `ISendFileTransferContainerAdapter.addListener(IIncomingFileTransferRequestListener)`

See Also:
  `ISendFileTransferContainerAdapter.addListener(IIncomingFileTransferRequestListener)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleFileTransferRequest​(IFileTransferRequestEvent event)` Handle file transfer requests when received asynchronously from remotes.

### Method Detail

#### handleFileTransferRequest

    void handleFileTransferRequest​(IFileTransferRequestEvent event)

Handle file transfer requests when received asynchronously from remotes.

Parameters:
  `event` - the `IFileTransferRequestEvent` that represents the file transfer request. Will not be should not be `null`.